import figur.*;
class TestInterface {
  public static void main(String[] args) {
    Figurfabrikk fabrikk = new Figurfabrikk();
    FigurInterface enSirkel = fabrikk.lagSirkel(10);
    FigurInterface enTrekant = fabrikk.lagTrekant(5, 6);
    FigurInterface etKvadrat = fabrikk.lagKvadrat(4);

    /* Arealer hver for seg */
    System.out.println("Arealet til sirkelen: " + enSirkel.beregnAreal());
    System.out.println("Arealet til trekanten: " + enTrekant.beregnAreal());
    System.out.println("Arealet til kvadratet: " + etKvadrat.beregnAreal());

    /* Behandler s alle figurene under ett */
    FigurInterface[] figurtabell = new FigurInterface[3];
    figurtabell[0] = enSirkel;
    figurtabell[1] = enTrekant;
    figurtabell[2] = etKvadrat;

    for (FigurInterface fig : figurtabell) {
      System.out.println("Arealet er " + fig.beregnAreal()
            + " for " + fig.getClass().getName()); // henter klassenavnet
    }
  }
}
/* Utskrift:
Arealet til sirkelen: 314.1592653589793
Arealet til trekanten: 15.0
Arealet til kvadratet: 16.0
Arealet er 314.1592653589793 for figur.Sirkel
Arealet er 15.0 for figur.Trekant
Arealet er 16.0 for figur.Kvadrat
*/